Welkom  

   

Mijn Menu  

   

What's Up  

za nov 07 @ 1:00PM - 05:30PM
Wadvaren voor Dummies
   

Wedstrijd  

Geen evenementen
   
   
   
   
   
   
   
   
   
   
   
   
   
   
Welkom, Gasten
De mogelijkheden om zelf te knutselen/ontwikkelen met de nieuwste generatie mini-PC's is eindeloos. Omdat er diverse fraaie initiatieven lopen die best wat eigen plek behoeven, bundelen we onze kennis in deze categorie.
  • Pagina:
  • 1
  • 2
  • 3

Onderwerp: Ubuntu 64 bits Focal OS voor de RPI 3 en 4.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 08:05 #1192595

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2127
brambo schreef :
Zoals eerder aangeven is OpenCPN nu standaard aanwezig in de repository. Helaas nog versie 5. Voor versie 5.2 moet je nog de ppa server gebruiken. Maar ook dat zal snel niet meer nodig zijn.

Voor Ubuntu Focal zal het denk ik op OpenCPN 5.0 blijven in de standaard repository. Focal is een Long Term Support (LTS)-release, die wordt 5 jaar ondersteund, maar wel met de versies die bij het uitkomen van release beschikbaar waren.

Komende releases van Ubuntu (bijv. Groovy, 20.10) krijgen waarschijnlijk wel de nieuwe versie van OpenCPN, maar die worden maar 9 maanden ondersteund. Over twee jaar komt er een nieuwe LTS (22.04).
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 11:40 #1192671

  • JotM
  • JotM's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 1734
brambo schreef :
De Arm (risc) processor neemt een grote vlucht. Apple gaat ook over op de toepassing van Arm processors in plaats van Intel.
Grappig. Eigenlijk een beetje terug naar de basis.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 11:56 #1192680

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
Dat was het tijdperk van de PowerPC processor en OS/2. Vooruitstrevende soft- en hardware van destijds.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 12:00 #1192681

  • JotM
  • JotM's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 1734
brambo schreef :
Dat was het tijdperk van de PowerPC processor ...
Dat is exact waar ik op doel. :)

Edit:
We zijn dus weer waar we waren, bij het idee dat een 64-bits RISC processor architectuur de toekomst heeft.
Laatst bewerkt: 07 aug 2020 12:03 door JotM.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 12:04 #1192684

  • Knoet
  • Knoet's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 920
Het is een beetje een heen-en-weer beweging tussen RISC en CISC, net als een stuurautomaat die overcorrigeert. Ondertussen hebben de marketingmensen er leuk werk aan.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 12:40 #1192699

  • reuver
  • reuver's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 443
Voor wie wil spelen met de RPI4 met Focal:

Hier vind je een aantal plugins, moet je wel handmatig installeren.
Beschouw het als beta (met name de ocpn_draw is vrij oud). Als het werkt werkt het. De links naar github staan erbij.

Voordeel is wel dat met de plugins je een beetje een idee krijgt of Focal goed werkt voor jouw en of het goed presteert.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 13:07 #1192724

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2127
Zijn die plugins voor OpenCPN 5.0 uit de Ubuntu-repository of voor OpenCPN 5.2 uit ppa:opencpn/opencpn?
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 13:18 #1192729

  • reuver
  • reuver's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 443
Github. Dit betekent dat ze prima werken met OpenCPN 5.2.
Ze zijn gecompileerd op een RPI4 met bovengenoemde server-versie van Ubuntu.

Het scheelt je zelf compileren.
De grootste opsteker is wel de oeSENC plugin, deze werkt met de USB dongle.
Hierbij moet je vanuit Ubuntu nog libusb installeren:
 sudo apt-get install libusb-0.1

Verder had ik erbij gezet:
- objSearch_Pi
- PyPilot_Pi
- Statusbar_Pi
- Radar_Pi
- OCPN_Draw_Pi (laatste versie)
- Dashboard & Tactics_Pi

Installatie procedure is eerst alle deb bestanden downloaden en installeren. Waarschijnlijk kan dat laatste in een stap:
 sudo dpkg -i Downloads/*.deb

Als je ze wil proberen met OpenCPN 5.0 heb je kans dat het ook gewoon werkt. Het gaat er immers om dat de verwijzingen naar de libraries kloppen. Maar 5.0.0 heb ik nooit getest.

Ik heb de binaries opnieuw gecompileerd, nu met GTK3 dus de kans dat het nu niet werkt met OpenCPN 5.0 is groter.
Waarschuwing: Spoiler! [ Click to expand ]


Nu nog een paar patches naar GitHub en we zijn weer een stap verder.
Laatst bewerkt: 07 aug 2020 19:35 door reuver.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 16:54 #1192816

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
reuver schreef :
Voor wie wil spelen met de RPI4 met Focal:

Hier vind je een aantal plugins, moet je wel handmatig installeren.
Beschouw het als beta (met name de ocpn_draw is vrij oud). Als het werkt werkt het. De links naar github staan erbij.

Voordeel is wel dat met de plugins je een beetje een idee krijgt of Focal goed werkt voor jouw en of het goed presteert.

Beste Reuver,

je oesenc plugin voor 64 AMD geprobeerd op versie 5.2. Lijkt in eerste instantie te werken, maar helaas geeft deze steeds aan dat de usb stick met de beveiliging niet is te vinden.

Nu kan dit ook aan Focal liggen. Echter andere usb apparaten werken wel goed op dezelfde RPI4.

Het ligt ook niet aan de dongle want op een amd64 werkt deze wel goed.

Jammer. De OpenCPN ontwikkelaars zullen nu wel snel met de nieuwe plugin manager komen.

Groet,

Bram

Kaartenset is uiteraard gelijk.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 17:37 #1192831

  • reuver
  • reuver's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 443
brambo schreef :
je oesenc plugin voor 64 AMDARM64 geprobeerd op versie 5.2. Lijkt in eerste instantie te werken, maar helaas geeft deze steeds aan dat de usb stick met de beveiliging niet is te vinden.

Nu kan dit ook aan Focal liggen. Echter andere usb apparaten werken wel goed op dezelfde RPI4.

Het ligt ook niet aan de dongle want op een amd64 werkt deze wel goed.
.
Je moet een library installeren voor SGlock (de USB dongle):
sudo apt-get install libusb-0.1

Datzelfde probleem zit volgens mij ook in de intel versie van OpenCPN en volgens heb jij daar eerder ook last van gehad. Ik weet even niet meer bij welke beta versie.

Het heeft weinig zin moeite te steken in dependencies voor dit package omdat dit uiteindelijk toch over moet naar de PluginManager.
Laatst bewerkt: 07 aug 2020 19:06 door reuver.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 19:26 #1192858

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
reuver schreef :
brambo schreef :
je oesenc plugin voor 64 AMDARM64 geprobeerd op versie 5.2. Lijkt in eerste instantie te werken, maar helaas geeft deze steeds aan dat de usb stick met de beveiliging niet is te vinden.

Nu kan dit ook aan Focal liggen. Echter andere usb apparaten werken wel goed op dezelfde RPI4.

Het ligt ook niet aan de dongle want op een amd64 werkt deze wel goed.
.
Je moet een library installeren voor SGlock (de USB dongle):
sudo apt-get install libusb-0.1

Datzelfde probleem zit volgens mij ook in de intel versie van OpenCPN en volgens heb jij daar eerder ook last van gehad. Ik weet even niet meer bij welke beta versie.

Beste Reuver,

ja, dat klopt ik heb een identiek probleem wat langer geleden ook eens gehad. Geen idee dat het hier ook speelde. Inmiddels het ontbrekende bestand toegevoegd.

Na enig "gepruttel" met de kaartenlijst, blijkt het te werken.

Dit was de laatste ontbrekende schakel in de test met de Focal 64 Arm versie van Ubuntu. Dank hiervoor.

Ik kan berichten dat Focal verder prima werkt. Jammer, dat er geen "Piclone" aanwezig is om snel een SD kaartje te kopieeren.

Groet,

Bram
Laatst bewerkt: 07 aug 2020 19:27 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 07 aug 2020 21:41 #1192914

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2127
Deze geprobeerd?
archive.raspberrypi.org/debian...clone_0.16_arm64.deb

Als je hem download en dan installeert met
sudo apt install ./piclone_0.16_arm64.deb
komen de eventueel missende dependencies gewoon mee uit de Ubuntu-repositories.
Laatst bewerkt: 07 aug 2020 21:50 door Menno.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 08 aug 2020 06:44 #1192947

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
Menno schreef :
Deze geprobeerd?
archive.raspberrypi.org/debian...clone_0.16_arm64.deb

Als je hem download en dan installeert met
sudo apt install ./piclone_0.16_arm64.deb
komen de eventueel missende dependencies gewoon mee uit de Ubuntu-repositories.

Hi Menno,

uiteraard direct je Piclone geprobeerd. Er waren wat missende zaken, na die geinstalleerd te hebben verschijnt de Piclone.

Er lijken twee barrieres aanwezig: bij opstarten verschijnt de mededeling:
failed to load de canberra-gtk-module. Lijkt mij niet zo'n probleem.

Dan bij het feitelijke programma de melding: /dev/mmcblk0. Toegang geweigerd.

Kan ik de rechten van dit bestand zomaar wijzigen ?

In ieder geval dank voor al je adviezen.

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 08 aug 2020 07:36 #1192958

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
Hier nog even het eind resultaat:

OpenCPN 5.2

GPS data inkomend via SignalK server.

Invoer GPS data OpenCPN direct in SignalK formaat

Kaartenset Nederland-Belgie van O-Charts

Oesenc plugin voor de Oesenc kaarten beveiliging werkend.

SignalK display met allerlei zelf in te stellen meters etc. MxTommy Kip applicatie.
in HTML formaat. Werkt op iedere browser en ieder systeem.


Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 10 aug 2020 11:57 #1193723

  • Menno
  • Menno's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 2127
brambo schreef :
Er lijken twee barrieres aanwezig: bij opstarten verschijnt de mededeling:
failed to load de canberra-gtk-module. Lijkt mij niet zo'n probleem.

Misschien helpt dit:
sudo apt install libcanberra-gtk-module libcanberra-gtk3-module

Dan bij het feitelijke programma de melding: /dev/mmcblk0. Toegang geweigerd.

Kan ik de rechten van dit bestand zomaar wijzigen ?

Heb je het gestart via het menu-item of op de commandline?
Op de commandline moet je het waarschijnlijk starten met:
sudo dbus-launch piclone
Via het menuitem zou hij dat zelf op die manier moeten starten. Als het met sudo is gestart zou het niet nodig moeten zijn om rechten van dat bestand te wijzigen.
Laatst bewerkt: 10 aug 2020 11:57 door Menno.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 10 aug 2020 12:53 #1193738

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
Menno schreef :
brambo schreef :
Er lijken twee barrieres aanwezig: bij opstarten verschijnt de mededeling:
failed to load de canberra-gtk-module. Lijkt mij niet zo'n probleem.

Misschien helpt dit:
sudo apt install libcanberra-gtk-module libcanberra-gtk3-module

Dan bij het feitelijke programma de melding: /dev/mmcblk0. Toegang geweigerd.

Kan ik de rechten van dit bestand zomaar wijzigen ?

Heb je het gestart via het menu-item of op de commandline?
Op de commandline moet je het waarschijnlijk starten met:
sudo dbus-launch piclone
Via het menuitem zou hij dat zelf op die manier moeten starten. Als het met sudo is gestart zou het niet nodig moeten zijn om rechten van dat bestand te wijzigen.

Dit lijkt nu te werken. Die Canberra had ik al eerder geinstallerd.

Echter nu krijg ik een andere melding: "Non-MSDOS partition table on source".

Is wat vreemd, want ik als met gparted naar de partities kijk, is daar partitie mmcblkOp1 aanwezig in het formaat fat32. Op2 is ext4.

Plus wat meldingen dat de icon niet beschikbaar is in Adwaita.

Het is wel een stap vooruit maar het werkt nog niet. Een image maken met DD gaat wel goed.

Groet,

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 13 aug 2020 18:41 #1194990

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
reuver schreef :
brambo schreef :
je oesenc plugin voor 64 AMDARM64 geprobeerd op versie 5.2. Lijkt in eerste instantie te werken, maar helaas geeft deze steeds aan dat de usb stick met de beveiliging niet is te vinden.

Nu kan dit ook aan Focal liggen. Echter andere usb apparaten werken wel goed op dezelfde RPI4.

Het ligt ook niet aan de dongle want op een amd64 werkt deze wel goed.
.
Je moet een library installeren voor SGlock (de USB dongle):
sudo apt-get install libusb-0.1

Datzelfde probleem zit volgens mij ook in de intel versie van OpenCPN en volgens heb jij daar eerder ook last van gehad. Ik weet even niet meer bij welke beta versie.

Het heeft weinig zin moeite te steken in dependencies voor dit package omdat dit uiteindelijk toch over moet naar de PluginManager.

Kleine correctie. In de nieuwe versie is libusb-0.1 vervangen door libusb-0.4.

Om verdere vragen te voorkomen gaat hier de instructie hoe de nieuwe 64 bits Ubuntu kan worden toegepast:

De gehele installatie volgorde 64 bits Ubuntu Focal Fossa voor de RPI 4.

Image file 64 bits downloaden en op een SD kaart zetten.
De rpi starten met deze SD kaart.
Inloggen met ubuntu en wachtwoord ubuntu
Dan komt de vraag voor een nieuw wachtwoord voor gebruiker ubuntu.
Daarna verschijnt de prompt.
De laatste udates ophalen: sudo apt update en dan sudo apt upgrade.
Het is de server editie, daar moet dan nog een desktop bij.
Zie de opmerkingen van Menno voor de keuze van desktop

Hier eenvoudig: sudo apt install xinit.

Dan OpenCPN:
Je wilt wel de laatste versie 5.2 erop zetten:
sudo add-apt-repository ppa:opencpn/opencpn
sudo apt update en dan sudo apt install opencpn

De SignalK server:
Hiervoor is nodig NPM:
sudo apt install npm
de laatste updates van npm ophalen:

sudo npm install -g npm@latest

Nu de signalK server installeren:

sudo npm install -g --unsafe-perm signalk-server
nu nog zorgen dat deze server automatisch opstart

sudo sgnalk-server-setup
2 x N invullen.

Nu start signalK automatisch op bij het aanzetten.

Vervolgens de verbindingen zoals gps, Ais, etc, etc. nog invoeren.
Verbindingen: add

De SignaLk server is html.

Dus in de browser oproepen: localhost:3000

In OpenCPN verbindingen: netwerk signalk localhost poort 3000

Gebruik je de Oesenc kaartensets dan het volgende:

De oesenc kaarten plugin voor OpenCPN 5.2 kun je toepassen met de versie van Reuver.

sudo dpkg -i (naam plugin)

Daarbij moeten je nog wel het volgende installeren:

sudo apt install libusb-1.4

Daarna heb je een compleet werkend systeem met de laatste
64 bits software, OpenCPN 5.2 en de Oesenc plugin voor de usb oesenc dongle.

Bram
Laatst bewerkt: 13 aug 2020 18:52 door brambo.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 13 aug 2020 21:02 #1195062

  • reuver
  • reuver's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 443
brambo schreef :
Gebruik je de Oesenc kaartensets dan het volgende:

De oesenc kaarten plugin voor OpenCPN 5.2 kun je toepassen met de versie van Reuver.

sudo dpkg -i (naam plugin)

Daarbij moeten je nog wel het volgende installeren:

sudo apt install libusb-1.4
Ik gok dat je hier een foutje maakt.
Hier is geinstelleerd:
libusb-0.1-4 - userspace USB programming library
libusb-1.0-0 - userspace USB programming library

De eerste is een compatible lib voor invoegtoepassingen. Het systeem gebruikt de 1.0 versie.
Daarna heb je een compleet werkend systeem met de laatste
64 bits software, OpenCPN 5.2 en de Oesenc plugin voor de usb oesenc dongle.

Ik geef direct toe dat ik pypilot_pi en radar_pi erbij heb gezet als gadget.
ocpn_draw en objsearch zijn toch wel vrij essentiele onderdelen van een navigatiesysteem.

dashboard_tactics_pi zet ik weer terug als ik deze getest heb. Ik vermoed dat het werkt met NMEA0183 maar niet met NMEA2000.

Tenslotte zou ik de canbus interface starten vanuit /etc/network/interfaces, omdat deze eerder wordt gestart als rc.local en signalk.
Waarschuwing: Spoiler! [ Click to expand ]
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 13 aug 2020 21:50 #1195099

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
reuver schreef :
brambo schreef :
Gebruik je de Oesenc kaartensets dan het volgende:

De oesenc kaarten plugin voor OpenCPN 5.2 kun je toepassen met de versie van Reuver.

sudo dpkg -i (naam plugin)

Daarbij moeten je nog wel het volgende installeren:

sudo apt install libusb-1.4
Ik gok dat je hier een foutje maakt.
Hier is geinstelleerd:
libusb-0.1-4 - userspace USB programming library
libusb-1.0-0 - userspace USB programming library

Je hebt gelijk. Deze libusb geinstalleerd vanuit Synaptic. Mijn geheugen laat mij in de steek, vandaar de onjuiste vermelding.

Verder die canbus vermelding is voor een Canable canbus kaartje met de de Candlelight firmware.
Canbus wordt standaard met een andere firmware geleverd.


De eerste is een compatible lib voor invoegtoepassingen. Het systeem gebruikt de 1.0 versie.
Daarna heb je een compleet werkend systeem met de laatste
64 bits software, OpenCPN 5.2 en de Oesenc plugin voor de usb oesenc dongle.

Ik geef direct toe dat ik pypilot_pi en radar_pi erbij heb gezet als gadget.
ocpn_draw en objsearch zijn toch wel vrij essentiele onderdelen van een navigatiesysteem.

dashboard_tactics_pi zet ik weer terug als ik deze getest heb. Ik vermoed dat het werkt met NMEA0183 maar niet met NMEA2000.

Tenslotte zou ik de canbus interface starten vanuit /etc/network/interfaces, omdat deze eerder wordt gestart als rc.local en signalk.
Waarschuwing: Spoiler! [ Click to expand ]
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 14 aug 2020 06:45 #1195166

Ik heb de stoute schoenen aangetroken en Focal 64bits op mijn RPI 3B+ geinstalleerd. Zowel ubuntu-desktop als ubuntu-mate-desktop trok de RPI qua snelheid niet. Wat is wel een goed 64bits OS voor de RPI3 om OpenCPN te draaien? Of moet ik maar weer terug naar Raspbian 32bits?
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 14 aug 2020 09:37 #1195237

  • brambo
  • brambo's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 4502
oeverbeek schreef :
Ik heb de stoute schoenen aangetroken en Focal 64bits op mijn RPI 3B+ geinstalleerd. Zowel ubuntu-desktop als ubuntu-mate-desktop trok de RPI qua snelheid niet. Wat is wel een goed 64bits OS voor de RPI3 om OpenCPN te draaien? Of moet ik maar weer terug naar Raspbian 32bits?

Beste Oeverbeek,

hier ook even getest op mijn Raspberry Pi 3b+.

De RaspiOS 64 bits versie doet het prima op mijn RPI3. Maar die werkt met een lichte grafische server. Draait beter dan de 32 bits versie. Helaas is de officiele versie van het 64 bits RaspiOS nog niet uit. Maar de al wat langer bestaande beta versie werkt perfect. Kun je ook proberen. De instelling voor OpenCPN en SignalK server zijn hetzelfde.

Vervolgens de Focal 64 bits versie geprobeerd. Die heb ik wel met zwaardere grafisch server ingesteld staan voor gebruik in de RPI 4 met 2 GB.

Die Focal start wel op en de iconen komen tevoorschijn. Als ik echter OpenCPN wil opstarten dan werkt dat niet. Een eenvoudige applicatie, zoals de terminal, dat werkt wel.

Ik verwacht dat het met een lichtere grafisch server wel goed kan werken.

Groet,

Bram
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 14 aug 2020 10:00 #1195250

dank voor de tip; Ik ga de beta RaspiOS 64bit uitproberen.
Met vriendelijke groet,
Jacob.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 21 sept 2020 20:35 #1208842

  • Erik12
  • Erik12's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 87
brambo schreef :
De gehele installatie volgorde 64 bits Ubuntu Focal Fossa voor de RPI 4.

Image file 64 bits downloaden en op een SD kaart zetten.
De rpi starten met deze SD kaart.
Inloggen met ubuntu en wachtwoord ubuntu
Dan komt de vraag voor een nieuw wachtwoord voor gebruiker ubuntu.
Daarna verschijnt de prompt.
De laatste udates ophalen: sudo apt update en dan sudo apt upgrade.
Het is de server editie, daar moet dan nog een desktop bij.
Zie de opmerkingen van Menno voor de keuze van desktop

Hier eenvoudig: sudo apt install xinit.

Dan OpenCPN:
Je wilt wel de laatste versie 5.2 erop zetten:
sudo add-apt-repository ppa:opencpn/opencpn
sudo apt update en dan sudo apt install opencpn

De SignalK server:
Hiervoor is nodig NPM:
sudo apt install npm
de laatste updates van npm ophalen:

sudo npm install -g npm@latest

Nu de signalK server installeren:

sudo npm install -g --unsafe-perm signalk-server
nu nog zorgen dat deze server automatisch opstart

sudo sgnalk-server-setup
2 x N invullen.

Nu start signalK automatisch op bij het aanzetten.

Vervolgens de verbindingen zoals gps, Ais, etc, etc. nog invoeren.
Verbindingen: add

Top deze samenvatting, hier ga ik mee aan de slag! Nu nog het spulletje werkend zien te krijgen vanaf SSD.... Wat voor RPI4 adviseren jullie i.c.m. een groot scherm 51"? 2, 4 of 8Gb?

Gr.

Erik
Laatst bewerkt: 21 sept 2020 21:04 door Erik12.
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 30 sept 2020 14:29 #1212507

Na RaspiOS 64bit te hebben geïnstalleerd en OpenCPN (via ppa.launchpad.net/opencpn/opencpn/ubuntu/ bionic main) wilde ik de OESENC plugin installeren. Ik heb die van Reuver geïnstalleerd. Wanneer ik in OpenCPN de tab met plugins probeer te openen krijg ik de melding dat de OESENC plugin niet de juiste versie is. Wanneer ik de OESENC plugin via apt-get oesenc-pi installeer loopt OpenCPN vast wanneer ik de plugin probeer te activeren in het optie-paneel. Hoe krijg ik de OESENC-plugin aan de praat in OpenCPN op RaspiOS 64bit?
Alleen ingelogde leden kunnen reageren.

Ubuntu 64 bits Focal OS voor de RPI 3 en 4. 30 sept 2020 15:09 #1212527

  • 3Noreen
  • 3Noreen's Profielfoto
  • Offline
  • Gebruiker
  • Berichten: 6892
oeverbeek schreef :
Na RaspiOS 64bit te hebben geïnstalleerd en OpenCPN (via ppa.launchpad.net/opencpn/opencpn/ubuntu/ bionic main) wilde ik de OESENC plugin installeren. Ik heb die van Reuver geïnstalleerd. Wanneer ik in OpenCPN de tab met plugins probeer te openen krijg ik de melding dat de OESENC plugin niet de juiste versie is. Wanneer ik de OESENC plugin via apt-get oesenc-pi installeer loopt OpenCPN vast wanneer ik de plugin probeer te activeren in het optie-paneel. Hoe krijg ik de OESENC-plugin aan de praat in OpenCPN op RaspiOS 64bit?

Waarom komt me dit bekend voor? :ohmy: Maar het is mij verzekerd dat het gewoon moet werken en dat het volledig aan mijn onkunde te danken was.
Maar even serieus dit is het 4e 64 bit besturingssysteem waar het niet op werkt.
I am a digitarian. I love to eat my own bytes. Big tech already does enough damage to our society.
Alleen ingelogde leden kunnen reageren.
  • Pagina:
  • 1
  • 2
  • 3
Tijd voor maken pagina: 0.280 seconden
Gemaakt door Kunena
   
   
   
   
© Zeilersforum.nl